<?php
  session_start();

  if (!isset($_SERVER['PHP_AUTH_USER'])) {
    header('WWW-Authenticate: Basic realm="Mijn winkel"');
    header('HTTP/1.0 401 Unauthorized');
    echo 'U drukte op cancel';
    exit;
  } elseif ($_SERVER['PHP_AUTH_USER'] == $_SESSION['naam'] && md5($_SERVER['PHP_AUTH_PW']) == $_SESSION['password']) {
    echo "<p>Je hebt toegang!";
  } else { // dus niks ingetikt of niet correct
    header('WWW-Authenticate: Basic realm="Alleen voor intern gebruik"');
    header('HTTP/1.0 401 Unauthorized');
	echo "U heeft geen toegang!!"; // Na drie keer proberen...
  }

  echo "Welkom in de winkel, ".$_SESSION['naam'];

  // voeg hier het winkelwagenscriptje toe.

?>
